groff-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[groff] 04/07: [mom]: Tweak test script.


From: G. Branden Robinson
Subject: [groff] 04/07: [mom]: Tweak test script.
Date: Wed, 31 Jan 2024 06:25:14 -0500 (EST)

gbranden pushed a commit to branch master
in repository groff.

commit 8353030c6541f4b61183bd8335415a38a7ccda2f
Author: G. Branden Robinson <g.branden.robinson@gmail.com>
AuthorDate: Wed Jan 31 04:32:29 2024 -0600

    [mom]: Tweak test script.
    
    * contrib/mom/examples/test-mom.sh.in: Fix code style/diagnostic nits.
      Issue more explicit message when skipping test due to missing
      prerequisites.  Kill trailing whitespace.  Add Vim editor aid comment.
---
 contrib/mom/ChangeLog               |  7 +++++++
 contrib/mom/examples/test-mom.sh.in | 16 +++++++++-------
 2 files changed, 16 insertions(+), 7 deletions(-)

diff --git a/contrib/mom/ChangeLog b/contrib/mom/ChangeLog
index 835f703da..79b8cb68b 100644
--- a/contrib/mom/ChangeLog
+++ b/contrib/mom/ChangeLog
@@ -1,3 +1,10 @@
+2024-01-31  G. Branden Robinson <g.branden.robinson@gmail.com>
+
+       * examples/test-mom.sh.in: Fix code style/diagnostic nits.
+       Issue more explicit message when skipping test due to missing
+       prerequisites.  Kill trailing whitespace.  Add Vim editor aid
+       comment.
+
 2024-01-22
 
        * om.tmac (2.6_b): Add macro PDF_OUTLINE_PN (control pdf outline page
diff --git a/contrib/mom/examples/test-mom.sh.in 
b/contrib/mom/examples/test-mom.sh.in
index ebaba2082..21c8835b8 100644
--- a/contrib/mom/examples/test-mom.sh.in
+++ b/contrib/mom/examples/test-mom.sh.in
@@ -1,19 +1,19 @@
 #!/bin/sh
 #
 # Copyright (C) 2018-2020 Free Software Foundation, Inc.
-# 
+#
 # This file is part of groff.
-# 
+#
 # groff is free software; you can redistribute it and/or modify it under
 # the terms of the GNU General Public License as published by the Free
 # Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
-# 
+#
 # groff is distributed in the hope that it will be useful, but WITHOUT ANY
 # WARRANTY; without even the implied warranty of MERCHANTABILITY or
 # FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 # for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 #
@@ -34,15 +34,15 @@ list="
   "
 
 if test "$have_urw_fonts" != "yes"; then
-    echo "No URW fonts, mom examples cannot be correctly generated"
-    exit 77
+    echo "URW fonts needed to generate mom examples; skipping test" >&2
+    exit 77 # skip
 fi
 
 for cmd in pdfinfo pdfimages
 do
     if ! command -v $cmd >/dev/null
     then
-        echo "cannot locate '$cmd' command; skipping" >&2
+        echo "cannot locate '$cmd' command; skipping test" >&2
         exit 77 # skip
     fi
 done
@@ -90,3 +90,5 @@ check_has_images "$examplesdir/typesetting.pdf"
 check_has_images "$examplesdir/slide-demo.pdf"
 
 exit $ret
+
+# vim:set ai et sw=4 ts=4 tw=72:



reply via email to

[Prev in Thread] Current Thread [Next in Thread]